
$(document).ready(
  function ()
  {
    var prefixname = 'images/framework/layerbutton-ig-214';
    var leftBorderHover = 4;
    var rightBorderHover = 4;
    var topBorderHover = 4;
    var bottomBorderHover = 4;

    $('#pillar6 .pillarlinks a, #pillar6 #sandman .button').LayerButton(
      {
        'groupID':        'pillar7',
        'amountTiles':    1,
        'normal':
        {
          'imageSource':  { 'prefix': prefixname + '_', 'suffix': '.png' },
          'imageBorders': { 'right': rightBorderHover, 'left': leftBorderHover, 'top': topBorderHover, 'bottom': bottomBorderHover }
        },
        'hover':
        {
          'imageSource':  { 'prefix': prefixname + '-hover_', 'suffix': '.png' },
          'imageBorders': { 'right': rightBorderHover, 'left': leftBorderHover, 'top': topBorderHover, 'bottom': bottomBorderHover }
        }
      }
    );

    var prefixname = 'images/framework/layerbutton-ig-214';

    $('#pillar7 .pillarlinks a').LayerButton(
      {
        'groupID':        'pillar72',
        'amountTiles':    '3h',
        'normal':
        {
          'imageSource':  { 'prefix': prefixname + '_', 'suffix': '.png' },
          'imageBorders': { 'right': rightBorderHover, 'left': leftBorderHover, 'top': topBorderHover, 'bottom': bottomBorderHover }
        },
        'hover':
        {
          'imageSource':  { 'prefix': prefixname + '-hover_', 'suffix': '.png' },
          'imageBorders': { 'right': rightBorderHover, 'left': leftBorderHover, 'top': topBorderHover, 'bottom': bottomBorderHover }
        }
      }
    );
    
    activateTooltip($('#pillar6 .pillarlinks a, #pillar7 .pillarlinks a, #pillar6 #sandman .button'));
    
    $('#sandman .icon').hover(
      function ()
      {
        $(this).addClass('hover');
      },
      function ()
      {
        $(this).removeClass('hover');
      }
    );
    
    $('#sandman .icon').click(
      function ()
      {
        $('#sandman .button').click();
      }
    );
    
    if (debug)
    {
      updateSystemload('sandman', '23 deaktivierbare Programme belasten Ihr System. Eines davon ist bereits deaktiviert.');
      /*updateSystemload('uninstallmanager', '(asdf)');
      updateSystemload('startupmanager', '(asdf2)');
      updateSystemload('turbosettings', '(asdf3)');*/
    }
  }
);

function updateSystemload(type, text)
{
  $('#' + type + ' .dynamic').html(text);
}



